Loading...
Searching...
No Matches
BALL::TreeWidthImplementation< UndirectedGraph >::GeneralLowerBoundAlgorithm< Criterion, Reducer > Class Template Reference

Generic lower bound algorithm on graphs. More...

`#include <BALL/DATATYPE/GRAPH/treeWidth.h>`

Inheritance diagram for BALL::TreeWidthImplementation< UndirectedGraph >::GeneralLowerBoundAlgorithm< Criterion, Reducer >:

## Public Member Functions

| GeneralLowerBoundAlgorithm ()
virtual Size | operator() (UndirectedGraph const &originalGraph)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< UndirectedGraph, Size >
typedef Size | result_type
typedef UndirectedGraph | argument_type
typedef UndirectedGraph & | argument_reference
typedef const UndirectedGraph & | const_argument_reference
typedef UndirectedGraph * | argument_pointer
typedef const UndirectedGraph * | const_argument_pointer

## Detailed Description

template<class UndirectedGraph>
template<class Criterion, class Reducer>
class BALL::TreeWidthImplementation< UndirectedGraph >::GeneralLowerBoundAlgorithm< Criterion, Reducer >

Generic lower bound algorithm on graphs.

This class defines a base that can be extended to many different lower bound algorithms that have the same procedure: Find the best vertex by a special criterion, reduce the graph size by one, and repeat these two steps until the graph has only one vertex.

Template Parameters

  UndirectedGraph | the graph type
  Criterion | the criterium which chooses the next vertex
  Reducer | the reducer which removes a vertex from the graph to reduce it's size

Definition at line 204 of file treeWidth.h.

## Constructor & Destructor Documentation

## GeneralLowerBoundAlgorithm()

template<class UndirectedGraph>
template<class Criterion, class Reducer>

BALL::TreeWidthImplementation< UndirectedGraph >::GeneralLowerBoundAlgorithm< Criterion, Reducer >::GeneralLowerBoundAlgorithm | ( |  | ) |

inline

Definition at line 208 of file treeWidth.h.

## Member Function Documentation

## operator()()

template<class UndirectedGraph>
template<class Criterion, class Reducer>

virtual Size BALL::TreeWidthImplementation< UndirectedGraph >::GeneralLowerBoundAlgorithm< Criterion, Reducer >::operator() | ( | UndirectedGraph const & | originalGraph | ) |

virtual